Package org.apache.solr.common.util

# Class Utils.BAOS

java.lang.Object
java.io.OutputStream
java.io.ByteArrayOutputStream
org.apache.solr.common.util.Utils.BAOS

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing class:
  `Utils`

public static class Utils.BAOS extends ByteArrayOutputStream

## Field Summary

### Fields inherited from class java.io.ByteArrayOutputStream

`buf, count`

## Constructor Summary

Constructors
Constructor
Description
`BAOS()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getbuf()`
`ByteBuffer`
`getByteBuffer()`

### Methods inherited from class java.io.ByteArrayOutputStream

`close, reset, size, toByteArray, toString, toString, toString, toString, write, write, writeBytes, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BAOS

public BAOS()

## Method Details

### getByteBuffer

public ByteBuffer getByteBuffer()

### getbuf

public byte[] getbuf()